import type { Group } from '@visactor/vtable/es/scenegraph/graphic/group';
import type { CellAddress, CellRange } from '@visactor/vtable/es/ts-types';
import type { pluginsDefinition } from '@visactor/vtable';
import type { BaseTableAPI } from '@visactor/vtable/es/ts-types/base-table';
export interface FocusHighlightPluginOptions {
    id?: string;
    fill?: string;
    opacity?: number;
    highlightRange?: CellAddress | CellRange;
}
export declare class FocusHighlightPlugin implements pluginsDefinition.IVTablePlugin {
    id: string;
    name: string;
    runTime: ("selected_cell" | "selected_clear" | "initialized")[];
    table: BaseTableAPI;
    range?: CellRange;
    pluginOptions: FocusHighlightPluginOptions;
    constructor(options?: FocusHighlightPluginOptions);
    run(...args: any[]): void;
    setFocusHighlightRange(range?: CellAddress | CellRange, forceUpdate?: boolean): void;
    deleteAllCellGroupShadow(): void;
    updateCellGroupShadow(): void;
    updateCellGroupShadowInContainer(container: Group, range?: CellAddress | CellRange): void;
    update(): void;
}
